# Uses of Class
com.opensymphony.module.sitemesh.parser.FastPageParser.Tag

Packages that use FastPageParser.Tag
Package
Description
com.opensymphony.module.sitemesh.parser

## Uses of FastPageParser.Tag in com.opensymphony.module.sitemesh.parser

Methods in com.opensymphony.module.sitemesh.parser that return FastPageParser.Tag
Modifier and Type
Method
Description
`private static FastPageParser.Tag`
FastPageParser.`parseProperties(FastPageParser.Tag tag, CharArray buffer)`
Deprecated.
This is called when we need to extract the properties for the tag from the tag's HTML.
`private FastPageParser.Tag`
FastPageParser.`parseTag(FastPageParser.Tag tag, CharArray buf)`
Deprecated.
Populates a `FastPageParser.Tag` object using data from the supplied `CharArray`.
Methods in com.opensymphony.module.sitemesh.parser with parameters of type FastPageParser.Tag
Modifier and Type
Method
Description
`private static FastPageParser.Tag`
FastPageParser.`parseProperties(FastPageParser.Tag tag, CharArray buffer)`
Deprecated.
This is called when we need to extract the properties for the tag from the tag's HTML.
`private FastPageParser.Tag`
FastPageParser.`parseTag(FastPageParser.Tag tag, CharArray buf)`
Deprecated.
Populates a `FastPageParser.Tag` object using data from the supplied `CharArray`.